class 'p03_l02_flicker_light'(Script)

function p03_l02_flicker_light:__init()super()
 self.animator01=anims()
 self.animator02=anims()

 self.arrObject01={}
 self.arrObject02={}

 self.arrParams01={}
 self.arrParams02={}
end

function p03_l02_flicker_light:on_attach()
 local scene=self:scene()
 self.arrObject01[1]=scene:object('pyramidsideleft')
 self.arrObject01[2]=scene:object('pyramidsideright')

 for j=1,6 do
  self.arrObject02[j]=scene:object('lighting0'..j)
  self.arrParams02[j]={timeGrow=2,timeReductionMax=0.2,timeIdle=2,timeReductionMin=0.2,
                    start_timeGrow=0.2,start_timeReductionMax=0.2,start_timeIdle=0.2,start_timeReductionMin=0.2,
                    time=0,minAlpha=0.3,maxAlpha=1,alpha=0,startAlpha=0.7}
 end

 for i=1,#self.arrObject01 do
  self.arrParams01[i]={timeGrow=2,timeReductionMax=0.2,timeIdle=2,timeReductionMin=0.2,
                    start_timeGrow=0.2,start_timeReductionMax=0.2,start_timeIdle=0.2,start_timeReductionMin=0.2,
                    time=0,minAlpha=0.3,maxAlpha=1,alpha=0,startAlpha=0.7}
 end




 self.animator01:setsParamsFicker(self.arrObject01,self.arrParams01)
  self.animator02:setsParamsFicker(self.arrObject02,self.arrParams02)
end

function p03_l02_flicker_light:on_update(dt)
  self.animator01:update(dt)
  self.animator02:update(dt)
end